<?php

namespace Core;

require_once '../config/config.php';

class Model
{
    protected static function connection(): \PDO
    {
        try {

            $pdo = new \PDO(\config\DSN, \config\USER, \config\PASSWORD);
            $pdo->setAttribute(\PDO::ATTR_ERRMODE, \PDO::ERRMODE_EXCEPTION);

        } catch (\PDOException $e) {
            die("Falló la conexión: " . $e->getMessage());
        }
        return $pdo;
    }
}
