<?php
/*Álvaro Millán Serrano*/
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        table{
            border-collapse: collapse;
            width: 50%;
        }
        tr,th,td{
            border: 1px solid black;
            font-weight: bold;
            text-align: center;
        }
        .cover{
            width: 20%;
        }
    </style>
</head>
<body>
    <h4>List of movies in <?= $selectedCinema->name?></h4>
    <?php if(count($movies) > 0){  ?>
    <table>
        <tr>
            <th>Name</th>
            <th>Year</th>
            <th>Nationality</th>
            <th>Avaiable seats</th>
            <th>Cover</th>
            <th></th>
        </tr>
        <?php foreach($movies as $movie){
            echo "<tr>";
            echo "<td>$movie->name</td>";
            echo "<td>$movie->year</td>";
            echo "<td>$movie->nationality</td>";
            echo "<td>$movie->tickets</td>";
            echo "<td class='cover'><img src='$movie->cover' style='width: 40%; max-height: 90vh;'></td>";
            echo "<td><button><a href='/purchase/buy/$movie->idMovie'>Buy tickets</a></button></td>";
            echo "</tr>";
        }
        ?>
    </table><br>
    <?php } else{
        echo "There aren't any movies at the moment";
    }
    ?>
    <?php if ($page > 1) { ?>
        <button><a href="/movie/show/<?=$selectedCinema->idCinema?>/<?php echo $page - 1 ?>">
                Previous
            </a></button>
    <?php } ?>
    <label>Página <?php echo $page ?> de <?php echo "$pages"?></label>
    <?php if ($page < $pages) { ?>
        <button><a href="/movie/show/<?=$selectedCinema->idCinema?>/<?php echo $page + 1 ?>">
                Next
            </a></button>
    <?php }?>

</body>
</html>
